package com.mortals.xhx.module.window.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.window.model.WindowPerformSummaryEntity;
/**
* 窗口绩效汇总登记查询对象
*
* @author zxfei
* @date 2025-03-10
*/
public class WindowPerformSummaryQuery extends WindowPerformSummaryEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考核年度 */
    private Integer yearStart;

    /** 结束 考核年度 */
    private Integer yearEnd;

    /** 增加 考核年度 */
    private Integer yearIncrement;

    /** 考核年度列表 */
    private List <Integer> yearList;

    /** 考核年度排除列表 */
    private List <Integer> yearNotList;

    /** 开始 考核月份 */
    private Integer monthStart;

    /** 结束 考核月份 */
    private Integer monthEnd;

    /** 增加 考核月份 */
    private Integer monthIncrement;

    /** 考核月份列表 */
    private List <Integer> monthList;

    /** 考核月份排除列表 */
    private List <Integer> monthNotList;

    /** 开始 入驻部门id */
    private Long deptIdStart;

    /** 结束 入驻部门id */
    private Long deptIdEnd;

    /** 增加 入驻部门id */
    private Long deptIdIncrement;

    /** 入驻部门id列表 */
    private List <Long> deptIdList;

    /** 入驻部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 入驻部门名称 */
    private List<String> deptNameList;

    /** 入驻部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 窗口建设得分 */
    private BigDecimal ckjsdfStart;

    /** 结束 窗口建设得分 */
    private BigDecimal ckjsdfEnd;

    /** 增加 窗口建设得分 */
    private BigDecimal ckjsdfIncrement;

    /** 窗口建设得分列表 */
    private List <BigDecimal> ckjsdfList;

    /** 窗口建设得分排除列表 */
    private List <BigDecimal> ckjsdfNotList;

    /** 开始 重点任务推进得分 */
    private BigDecimal zdrwdfStart;

    /** 结束 重点任务推进得分 */
    private BigDecimal zdrwdfEnd;

    /** 增加 重点任务推进得分 */
    private BigDecimal zdrwdfIncrement;

    /** 重点任务推进得分列表 */
    private List <BigDecimal> zdrwdfList;

    /** 重点任务推进得分排除列表 */
    private List <BigDecimal> zdrwdfNotList;

    /** 开始 加分 */
    private BigDecimal addTotalScoreStart;

    /** 结束 加分 */
    private BigDecimal addTotalScoreEnd;

    /** 增加 加分 */
    private BigDecimal addTotalScoreIncrement;

    /** 加分列表 */
    private List <BigDecimal> addTotalScoreList;

    /** 加分排除列表 */
    private List <BigDecimal> addTotalScoreNotList;

    /** 开始 合计得分 */
    private BigDecimal sumScoreStart;

    /** 结束 合计得分 */
    private BigDecimal sumScoreEnd;

    /** 增加 合计得分 */
    private BigDecimal sumScoreIncrement;

    /** 合计得分列表 */
    private List <BigDecimal> sumScoreList;

    /** 合计得分排除列表 */
    private List <BigDecimal> sumScoreNotList;

    /** 开始 评选建议 */
    private Integer suggestionStart;

    /** 结束 评选建议 */
    private Integer suggestionEnd;

    /** 增加 评选建议 */
    private Integer suggestionIncrement;

    /** 评选建议列表 */
    private List <Integer> suggestionList;

    /** 评选建议排除列表 */
    private List <Integer> suggestionNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowPerformSummaryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowPerformSummaryQuery> andConditionList;

    public WindowPerformSummaryQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考核年度
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 考核年度
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 考核年度
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 考核年度
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 考核年度
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 考核年度
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 考核年度
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 考核年度
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 考核年度
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 考核年度
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 考核月份
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 考核月份
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 考核月份
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 考核月份
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 考核月份
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 考核月份
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 考核月份
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 考核月份
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 考核月份
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 考核月份
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 入驻部门id
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 入驻部门id
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 入驻部门id
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 入驻部门id
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 入驻部门id
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 入驻部门id
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 入驻部门id
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 入驻部门id
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 入驻部门id
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 入驻部门id
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 入驻部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 入驻部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 入驻部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 入驻部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 窗口建设得分
    * @return ckjsdfStart
    */
    public BigDecimal getCkjsdfStart(){
        return this.ckjsdfStart;
    }

    /**
    * 设置 开始 窗口建设得分
    * @param ckjsdfStart
    */
    public void setCkjsdfStart(BigDecimal ckjsdfStart){
        this.ckjsdfStart = ckjsdfStart;
    }

    /**
    * 获取 结束 窗口建设得分
    * @return $ckjsdfEnd
    */
    public BigDecimal getCkjsdfEnd(){
        return this.ckjsdfEnd;
    }

    /**
    * 设置 结束 窗口建设得分
    * @param ckjsdfEnd
    */
    public void setCkjsdfEnd(BigDecimal ckjsdfEnd){
        this.ckjsdfEnd = ckjsdfEnd;
    }

    /**
    * 获取 增加 窗口建设得分
    * @return ckjsdfIncrement
    */
    public BigDecimal getCkjsdfIncrement(){
        return this.ckjsdfIncrement;
    }

    /**
    * 设置 增加 窗口建设得分
    * @param ckjsdfIncrement
    */
    public void setCkjsdfIncrement(BigDecimal ckjsdfIncrement){
        this.ckjsdfIncrement = ckjsdfIncrement;
    }

    /**
    * 获取 窗口建设得分
    * @return ckjsdfList
    */
    public List<BigDecimal> getCkjsdfList(){
        return this.ckjsdfList;
    }

    /**
    * 设置 窗口建设得分
    * @param ckjsdfList
    */
    public void setCkjsdfList(List<BigDecimal> ckjsdfList){
        this.ckjsdfList = ckjsdfList;
    }

    /**
    * 获取 窗口建设得分
    * @return ckjsdfNotList
    */
    public List<BigDecimal> getCkjsdfNotList(){
        return this.ckjsdfNotList;
    }

    /**
    * 设置 窗口建设得分
    * @param ckjsdfNotList
    */
    public void setCkjsdfNotList(List<BigDecimal> ckjsdfNotList){
        this.ckjsdfNotList = ckjsdfNotList;
    }


    /**
    * 获取 开始 重点任务推进得分
    * @return zdrwdfStart
    */
    public BigDecimal getZdrwdfStart(){
        return this.zdrwdfStart;
    }

    /**
    * 设置 开始 重点任务推进得分
    * @param zdrwdfStart
    */
    public void setZdrwdfStart(BigDecimal zdrwdfStart){
        this.zdrwdfStart = zdrwdfStart;
    }

    /**
    * 获取 结束 重点任务推进得分
    * @return $zdrwdfEnd
    */
    public BigDecimal getZdrwdfEnd(){
        return this.zdrwdfEnd;
    }

    /**
    * 设置 结束 重点任务推进得分
    * @param zdrwdfEnd
    */
    public void setZdrwdfEnd(BigDecimal zdrwdfEnd){
        this.zdrwdfEnd = zdrwdfEnd;
    }

    /**
    * 获取 增加 重点任务推进得分
    * @return zdrwdfIncrement
    */
    public BigDecimal getZdrwdfIncrement(){
        return this.zdrwdfIncrement;
    }

    /**
    * 设置 增加 重点任务推进得分
    * @param zdrwdfIncrement
    */
    public void setZdrwdfIncrement(BigDecimal zdrwdfIncrement){
        this.zdrwdfIncrement = zdrwdfIncrement;
    }

    /**
    * 获取 重点任务推进得分
    * @return zdrwdfList
    */
    public List<BigDecimal> getZdrwdfList(){
        return this.zdrwdfList;
    }

    /**
    * 设置 重点任务推进得分
    * @param zdrwdfList
    */
    public void setZdrwdfList(List<BigDecimal> zdrwdfList){
        this.zdrwdfList = zdrwdfList;
    }

    /**
    * 获取 重点任务推进得分
    * @return zdrwdfNotList
    */
    public List<BigDecimal> getZdrwdfNotList(){
        return this.zdrwdfNotList;
    }

    /**
    * 设置 重点任务推进得分
    * @param zdrwdfNotList
    */
    public void setZdrwdfNotList(List<BigDecimal> zdrwdfNotList){
        this.zdrwdfNotList = zdrwdfNotList;
    }


    /**
    * 获取 开始 加分
    * @return addTotalScoreStart
    */
    public BigDecimal getAddTotalScoreStart(){
        return this.addTotalScoreStart;
    }

    /**
    * 设置 开始 加分
    * @param addTotalScoreStart
    */
    public void setAddTotalScoreStart(BigDecimal addTotalScoreStart){
        this.addTotalScoreStart = addTotalScoreStart;
    }

    /**
    * 获取 结束 加分
    * @return $addTotalScoreEnd
    */
    public BigDecimal getAddTotalScoreEnd(){
        return this.addTotalScoreEnd;
    }

    /**
    * 设置 结束 加分
    * @param addTotalScoreEnd
    */
    public void setAddTotalScoreEnd(BigDecimal addTotalScoreEnd){
        this.addTotalScoreEnd = addTotalScoreEnd;
    }

    /**
    * 获取 增加 加分
    * @return addTotalScoreIncrement
    */
    public BigDecimal getAddTotalScoreIncrement(){
        return this.addTotalScoreIncrement;
    }

    /**
    * 设置 增加 加分
    * @param addTotalScoreIncrement
    */
    public void setAddTotalScoreIncrement(BigDecimal addTotalScoreIncrement){
        this.addTotalScoreIncrement = addTotalScoreIncrement;
    }

    /**
    * 获取 加分
    * @return addTotalScoreList
    */
    public List<BigDecimal> getAddTotalScoreList(){
        return this.addTotalScoreList;
    }

    /**
    * 设置 加分
    * @param addTotalScoreList
    */
    public void setAddTotalScoreList(List<BigDecimal> addTotalScoreList){
        this.addTotalScoreList = addTotalScoreList;
    }

    /**
    * 获取 加分
    * @return addTotalScoreNotList
    */
    public List<BigDecimal> getAddTotalScoreNotList(){
        return this.addTotalScoreNotList;
    }

    /**
    * 设置 加分
    * @param addTotalScoreNotList
    */
    public void setAddTotalScoreNotList(List<BigDecimal> addTotalScoreNotList){
        this.addTotalScoreNotList = addTotalScoreNotList;
    }


    /**
    * 获取 开始 合计得分
    * @return sumScoreStart
    */
    public BigDecimal getSumScoreStart(){
        return this.sumScoreStart;
    }

    /**
    * 设置 开始 合计得分
    * @param sumScoreStart
    */
    public void setSumScoreStart(BigDecimal sumScoreStart){
        this.sumScoreStart = sumScoreStart;
    }

    /**
    * 获取 结束 合计得分
    * @return $sumScoreEnd
    */
    public BigDecimal getSumScoreEnd(){
        return this.sumScoreEnd;
    }

    /**
    * 设置 结束 合计得分
    * @param sumScoreEnd
    */
    public void setSumScoreEnd(BigDecimal sumScoreEnd){
        this.sumScoreEnd = sumScoreEnd;
    }

    /**
    * 获取 增加 合计得分
    * @return sumScoreIncrement
    */
    public BigDecimal getSumScoreIncrement(){
        return this.sumScoreIncrement;
    }

    /**
    * 设置 增加 合计得分
    * @param sumScoreIncrement
    */
    public void setSumScoreIncrement(BigDecimal sumScoreIncrement){
        this.sumScoreIncrement = sumScoreIncrement;
    }

    /**
    * 获取 合计得分
    * @return sumScoreList
    */
    public List<BigDecimal> getSumScoreList(){
        return this.sumScoreList;
    }

    /**
    * 设置 合计得分
    * @param sumScoreList
    */
    public void setSumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
    }

    /**
    * 获取 合计得分
    * @return sumScoreNotList
    */
    public List<BigDecimal> getSumScoreNotList(){
        return this.sumScoreNotList;
    }

    /**
    * 设置 合计得分
    * @param sumScoreNotList
    */
    public void setSumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
    }


    /**
    * 获取 开始 评选建议
    * @return suggestionStart
    */
    public Integer getSuggestionStart(){
        return this.suggestionStart;
    }

    /**
    * 设置 开始 评选建议
    * @param suggestionStart
    */
    public void setSuggestionStart(Integer suggestionStart){
        this.suggestionStart = suggestionStart;
    }

    /**
    * 获取 结束 评选建议
    * @return $suggestionEnd
    */
    public Integer getSuggestionEnd(){
        return this.suggestionEnd;
    }

    /**
    * 设置 结束 评选建议
    * @param suggestionEnd
    */
    public void setSuggestionEnd(Integer suggestionEnd){
        this.suggestionEnd = suggestionEnd;
    }

    /**
    * 获取 增加 评选建议
    * @return suggestionIncrement
    */
    public Integer getSuggestionIncrement(){
        return this.suggestionIncrement;
    }

    /**
    * 设置 增加 评选建议
    * @param suggestionIncrement
    */
    public void setSuggestionIncrement(Integer suggestionIncrement){
        this.suggestionIncrement = suggestionIncrement;
    }

    /**
    * 获取 评选建议
    * @return suggestionList
    */
    public List<Integer> getSuggestionList(){
        return this.suggestionList;
    }

    /**
    * 设置 评选建议
    * @param suggestionList
    */
    public void setSuggestionList(List<Integer> suggestionList){
        this.suggestionList = suggestionList;
    }

    /**
    * 获取 评选建议
    * @return suggestionNotList
    */
    public List<Integer> getSuggestionNotList(){
        return this.suggestionNotList;
    }

    /**
    * 设置 评选建议
    * @param suggestionNotList
    */
    public void setSuggestionNotList(List<Integer> suggestionNotList){
        this.suggestionNotList = suggestionNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WindowPerformSummaryQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WindowPerformSummaryQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WindowPerformSummaryQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WindowPerformSummaryQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WindowPerformSummaryQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public WindowPerformSummaryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考核年度
    * @param year
    */
    public WindowPerformSummaryQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 考核年度
    * @param yearStart
    */
    public WindowPerformSummaryQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 考核年度
    * @param yearEnd
    */
    public WindowPerformSummaryQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 考核年度
    * @param yearIncrement
    */
    public WindowPerformSummaryQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 考核年度
    * @param yearList
    */
    public WindowPerformSummaryQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 考核年度
        * @param yearNotList
        */
        public WindowPerformSummaryQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  考核月份
    * @param month
    */
    public WindowPerformSummaryQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 考核月份
    * @param monthStart
    */
    public WindowPerformSummaryQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 考核月份
    * @param monthEnd
    */
    public WindowPerformSummaryQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 考核月份
    * @param monthIncrement
    */
    public WindowPerformSummaryQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 考核月份
    * @param monthList
    */
    public WindowPerformSummaryQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 考核月份
        * @param monthNotList
        */
        public WindowPerformSummaryQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  入驻部门id
    * @param deptId
    */
    public WindowPerformSummaryQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 入驻部门id
    * @param deptIdStart
    */
    public WindowPerformSummaryQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 入驻部门id
    * @param deptIdEnd
    */
    public WindowPerformSummaryQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 入驻部门id
    * @param deptIdIncrement
    */
    public WindowPerformSummaryQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 入驻部门id
    * @param deptIdList
    */
    public WindowPerformSummaryQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 入驻部门id
        * @param deptIdNotList
        */
        public WindowPerformSummaryQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 入驻部门名称
    * @param deptName
    */
    public WindowPerformSummaryQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 入驻部门名称
    * @param deptNameList
    */
    public WindowPerformSummaryQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  窗口建设得分
    * @param ckjsdf
    */
    public WindowPerformSummaryQuery ckjsdf(BigDecimal ckjsdf){
	    setCkjsdf(ckjsdf);
		return this;
    }
	
	 /**
    * 设置 开始 窗口建设得分
    * @param ckjsdfStart
    */
    public WindowPerformSummaryQuery ckjsdfStart(BigDecimal ckjsdfStart){
		this.ckjsdfStart = ckjsdfStart;
		return this;
    }

    /**
    * 设置 结束 窗口建设得分
    * @param ckjsdfEnd
    */
    public WindowPerformSummaryQuery ckjsdfEnd(BigDecimal ckjsdfEnd){
		this.ckjsdfEnd = ckjsdfEnd;
		return this;
    }

    /**
    * 设置 增加 窗口建设得分
    * @param ckjsdfIncrement
    */
    public WindowPerformSummaryQuery ckjsdfIncrement(BigDecimal ckjsdfIncrement){
		this.ckjsdfIncrement = ckjsdfIncrement;
		return this;
    }

    /**
    * 设置 窗口建设得分
    * @param ckjsdfList
    */
    public WindowPerformSummaryQuery ckjsdfList(List<BigDecimal> ckjsdfList){
        this.ckjsdfList = ckjsdfList;
		return this;
        }

        /**
        * 设置 窗口建设得分
        * @param ckjsdfNotList
        */
        public WindowPerformSummaryQuery ckjsdfNotList(List<BigDecimal> ckjsdfNotList){
        this.ckjsdfNotList = ckjsdfNotList;
        return this;
        }

    /**
    * 设置  重点任务推进得分
    * @param zdrwdf
    */
    public WindowPerformSummaryQuery zdrwdf(BigDecimal zdrwdf){
	    setZdrwdf(zdrwdf);
		return this;
    }
	
	 /**
    * 设置 开始 重点任务推进得分
    * @param zdrwdfStart
    */
    public WindowPerformSummaryQuery zdrwdfStart(BigDecimal zdrwdfStart){
		this.zdrwdfStart = zdrwdfStart;
		return this;
    }

    /**
    * 设置 结束 重点任务推进得分
    * @param zdrwdfEnd
    */
    public WindowPerformSummaryQuery zdrwdfEnd(BigDecimal zdrwdfEnd){
		this.zdrwdfEnd = zdrwdfEnd;
		return this;
    }

    /**
    * 设置 增加 重点任务推进得分
    * @param zdrwdfIncrement
    */
    public WindowPerformSummaryQuery zdrwdfIncrement(BigDecimal zdrwdfIncrement){
		this.zdrwdfIncrement = zdrwdfIncrement;
		return this;
    }

    /**
    * 设置 重点任务推进得分
    * @param zdrwdfList
    */
    public WindowPerformSummaryQuery zdrwdfList(List<BigDecimal> zdrwdfList){
        this.zdrwdfList = zdrwdfList;
		return this;
        }

        /**
        * 设置 重点任务推进得分
        * @param zdrwdfNotList
        */
        public WindowPerformSummaryQuery zdrwdfNotList(List<BigDecimal> zdrwdfNotList){
        this.zdrwdfNotList = zdrwdfNotList;
        return this;
        }

    /**
    * 设置  加分
    * @param addTotalScore
    */
    public WindowPerformSummaryQuery addTotalScore(BigDecimal addTotalScore){
	    setAddTotalScore(addTotalScore);
		return this;
    }
	
	 /**
    * 设置 开始 加分
    * @param addTotalScoreStart
    */
    public WindowPerformSummaryQuery addTotalScoreStart(BigDecimal addTotalScoreStart){
		this.addTotalScoreStart = addTotalScoreStart;
		return this;
    }

    /**
    * 设置 结束 加分
    * @param addTotalScoreEnd
    */
    public WindowPerformSummaryQuery addTotalScoreEnd(BigDecimal addTotalScoreEnd){
		this.addTotalScoreEnd = addTotalScoreEnd;
		return this;
    }

    /**
    * 设置 增加 加分
    * @param addTotalScoreIncrement
    */
    public WindowPerformSummaryQuery addTotalScoreIncrement(BigDecimal addTotalScoreIncrement){
		this.addTotalScoreIncrement = addTotalScoreIncrement;
		return this;
    }

    /**
    * 设置 加分
    * @param addTotalScoreList
    */
    public WindowPerformSummaryQuery addTotalScoreList(List<BigDecimal> addTotalScoreList){
        this.addTotalScoreList = addTotalScoreList;
		return this;
        }

        /**
        * 设置 加分
        * @param addTotalScoreNotList
        */
        public WindowPerformSummaryQuery addTotalScoreNotList(List<BigDecimal> addTotalScoreNotList){
        this.addTotalScoreNotList = addTotalScoreNotList;
        return this;
        }

    /**
    * 设置  合计得分
    * @param sumScore
    */
    public WindowPerformSummaryQuery sumScore(BigDecimal sumScore){
	    setSumScore(sumScore);
		return this;
    }
	
	 /**
    * 设置 开始 合计得分
    * @param sumScoreStart
    */
    public WindowPerformSummaryQuery sumScoreStart(BigDecimal sumScoreStart){
		this.sumScoreStart = sumScoreStart;
		return this;
    }

    /**
    * 设置 结束 合计得分
    * @param sumScoreEnd
    */
    public WindowPerformSummaryQuery sumScoreEnd(BigDecimal sumScoreEnd){
		this.sumScoreEnd = sumScoreEnd;
		return this;
    }

    /**
    * 设置 增加 合计得分
    * @param sumScoreIncrement
    */
    public WindowPerformSummaryQuery sumScoreIncrement(BigDecimal sumScoreIncrement){
		this.sumScoreIncrement = sumScoreIncrement;
		return this;
    }

    /**
    * 设置 合计得分
    * @param sumScoreList
    */
    public WindowPerformSummaryQuery sumScoreList(List<BigDecimal> sumScoreList){
        this.sumScoreList = sumScoreList;
		return this;
        }

        /**
        * 设置 合计得分
        * @param sumScoreNotList
        */
        public WindowPerformSummaryQuery sumScoreNotList(List<BigDecimal> sumScoreNotList){
        this.sumScoreNotList = sumScoreNotList;
        return this;
        }

    /**
    * 设置  评选建议
    * @param suggestion
    */
    public WindowPerformSummaryQuery suggestion(Integer suggestion){
	    setSuggestion(suggestion);
		return this;
    }
	
	 /**
    * 设置 开始 评选建议
    * @param suggestionStart
    */
    public WindowPerformSummaryQuery suggestionStart(Integer suggestionStart){
		this.suggestionStart = suggestionStart;
		return this;
    }

    /**
    * 设置 结束 评选建议
    * @param suggestionEnd
    */
    public WindowPerformSummaryQuery suggestionEnd(Integer suggestionEnd){
		this.suggestionEnd = suggestionEnd;
		return this;
    }

    /**
    * 设置 增加 评选建议
    * @param suggestionIncrement
    */
    public WindowPerformSummaryQuery suggestionIncrement(Integer suggestionIncrement){
		this.suggestionIncrement = suggestionIncrement;
		return this;
    }

    /**
    * 设置 评选建议
    * @param suggestionList
    */
    public WindowPerformSummaryQuery suggestionList(List<Integer> suggestionList){
        this.suggestionList = suggestionList;
		return this;
        }

        /**
        * 设置 评选建议
        * @param suggestionNotList
        */
        public WindowPerformSummaryQuery suggestionNotList(List<Integer> suggestionNotList){
        this.suggestionNotList = suggestionNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public WindowPerformSummaryQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public WindowPerformSummaryQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WindowPerformSummaryQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WindowPerformSummaryQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WindowPerformSummaryQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WindowPerformSummaryQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WindowPerformSummaryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public WindowPerformSummaryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public WindowPerformSummaryQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public WindowPerformSummaryQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public WindowPerformSummaryQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public WindowPerformSummaryQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public WindowPerformSummaryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public WindowPerformSummaryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WindowPerformSummaryQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WindowPerformSummaryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WindowPerformSummaryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WindowPerformSummaryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}